<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/XSL/Format"
                version="1.0">

<!--$Id: notitle.xsl,v 1.1 2002/12/26 13:44:17 G. Ken Holman Exp $-->
<!--Remove all XSL-FO <title> elements from page sequences.

    This is necessary when the XSL-FO engine you are using chooses to
    render the page sequence title on the canvas and you do not wish
    this information to appear on the printed page.

    Many processors choose to only render the title outside of the canvas, 
    typically in the control window bar of the XSL-FO engine, but others
    have chosen (and are allowed to by the specification) to render the
    page sequence title right on the canvas.
-->

<xsl:template match="@*|node()"><!--identity transform-->
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="fo:page-sequence/fo:title"/><!--elide all titles-->

</xsl:stylesheet>
